<HTML>
<HEAD>
<meta http-equiv="Content-Type" content="text/html; charset=EUC-JP">
<TITLE>Zither server Administration tool 'Apollon'</TITLE>

<style type="text/css">
<!--
a { text-decoration:none; }
a:hover { text-decoration:underline; }
a:hover { color:red; }

.example {
width: 100%;
max-width: 80px;
min-width: 50px;
}

-->
</style>


</HEAD>


<?php
require("./total.inc");
require("./enco.inc");

print("<BODY Link='#FF8C00' Vlink='#FF8C00' Alink='#FF8C00'  bgcolor='$my_bgcolor' >\n");

$quedata = enco($_GET["QUE_DATA"]);
//$youname = enco($_GET["USER_NAME"]);

//$auth_user = $_SERVER["PHP_AUTH_USER"];
//$auth_pw = $_SERVER["PHP_AUTH_PW"];

print("<TABLE border='0' bgcolor='FFA500' cellspacing='3' cellpadding='0' width=100%>\n");
print("<tr><td>");
if(0 == strcmp($quedata, "KENSAKU")){
   print("<font color='ffffff'><b>エラー検索マニュアル</b></font>");
   }
else {
   print("<font color='ffffff'><b>監視設定マニュアル</b></font>");
   }
print("</td></tr>");
print("</table>");
print("<br>");



//if(0 != strcmp($auth_user, $youname)){
//   echo "検索する権限があなたにはありませぬ\n";
//   exit;
//   }

print("<TABLE border='1' bgcolor='#FFFFFF' cellspacing='0' cellpadding='0' width=80%>\n");


if(0 == strcmp($quedata, "KENSAKU")){
   print("<tr>");
   print("<td>");
      print("(エラー検索とは？) <br>");
      print("<br>");
      print("過去に検出されたエラーのログを検索し、内容の確認や削除が出来ます。<br>");
      print("<br>");
      print("(簡単な使いかた？) <br>");
      print("<br>");
      print("必要な項目を選択、又は書き込んで検索してください。<br>");
      print("右側チェックボックスにチェックすることで（それ以外）な意味になります。<br>");
      print("項目に＜％＞の含まれる物は含まれる内容を検索します。<br>");
      print("この場合の＜％＞は何らかの文字として検索されます。<br>");
      print("例：　%abcde% <br>");
      print("上の場合、＜何らかの文字列＞abcde＜何らかの文字列＞　として検索します <br>");
      print("<br>");
   print("</td>");
   print("</tr>");
   }


if(0 == strcmp($quedata, "KENSAKU2")){
   print("<tr>");
   print("<td>");
      print("(監視設定の検索とは？) <br>");
      print("<br>");
      print("現在設定されている監視項目をを検索し、内容の確認や削除が出来ます。<br>");
      print("<br>");
      print("(簡単な使いかた？) <br>");
      print("<br>");
      print("必要な項目を選択、又は書き込んで検索してください。<br>");
      print("右側チェックボックスにチェックすることで（それ以外）な意味になります。<br>");
      print("項目に＜％＞の含まれる物は含まれる内容を検索します。<br>");
      print("この場合の＜％＞は何らかの文字として検索されます。<br>");
      print("例：　%abcde% <br>");
      print("上の場合、＜何らかの文字列＞abcde＜何らかの文字列＞　として検索します <br>");
      print("<br>");
   print("</td>");
   print("</tr>");
   }


if(0 == strcmp($quedata, "KENSAKU3")){
   print("<tr>");
   print("<td>");
      print("(監視クライアントの検索とは？) <br>");
      print("<br>");
      print("現在登録中の監視クライアントを検索し、内容の確認や削除が出来ます。<br>");
      print("<br>");
      print("(簡単な使いかた？) <br>");
      print("<br>");
      print("必要な項目を選択、又は書き込んで検索してください。<br>");
      print("右側チェックボックスにチェックすることで（それ以外）な意味になります。<br>");
      print("項目に＜％＞の含まれる物は含まれる内容を検索します。<br>");
      print("この場合の＜％＞は何らかの文字として検索されます。<br>");
      print("例：　%abcde% <br>");
      print("上の場合、＜何らかの文字列＞abcde＜何らかの文字列＞　として検索します <br>");
      print("<br>");
   print("</td>");
   print("</tr>");
   }


if(0 == strcmp($quedata, "KENSAKU4")){
   print("<tr>");
   print("<td>");
      print("(監視ブロックの検索とは？) <br>");
      print("<br>");
      print("現在登録中の監視ブロックを検索し、内容の確認や削除が出来ます。<br>");
      print("<br>");
      print("(簡単な使いかた？) <br>");
      print("<br>");
      print("必要な項目を選択、又は書き込んで検索してください。<br>");
      print("右側チェックボックスにチェックすることで（それ以外）な意味になります。<br>");
      print("項目に＜％＞の含まれる物は含まれる内容を検索します。<br>");
      print("この場合の＜％＞は何らかの文字として検索されます。<br>");
      print("例：　%abcde% <br>");
      print("上の場合、＜何らかの文字列＞abcde＜何らかの文字列＞　として検索します <br>");
      print("<br>");
   print("</td>");
   print("</tr>");
   }



if(0 == strcmp($quedata, "ERRCOMP")){
   print("<tr>");
   print("<td>");
      print("(統計情報とは？) <br>");
      print("<br>");
      print("監視されているIP全てに対して条件を設定し、多く観測されている順にグラフを出力します。<br>");
      print("<br>");
      print("(簡単な使いかた？) <br>");
      print("<br>");
      print("必要な項目を選択、又は書き込んで検索してください。<br>");
      print("右側チェックボックスにチェックすることで（それ以外）な意味になります。<br>");
      print("項目に＜％＞の含まれる物は含まれる内容を検索します。<br>");
      print("この場合の＜％＞は何らかの文字として検索されます。<br>");
      print("例：　%abcde% <br>");
      print("上の場合、＜何らかの文字列＞abcde＜何らかの文字列＞　として検索します <br>");
      print("<br>");
   print("</td>");
   print("</tr>");
   }




if(0 == strcmp($quedata, "MONITOR")){
   print("<tr>");
   print("<td>");
      print("(監視属性とは？) <br>");
      print("<br>");
      print("監視属性はポートスキャン系とSNMP系のふたつが選択出来ます<br>");
      print("<br>");
      print("PORT:  ポートスキャンの場合に選択してください。<br>");
      print("SNMP:  SNMPを利用する場合に選択してください。<br>");
      print("<br>");
   print("</td>");
   print("</tr>");
   }

if(0 == strcmp($quedata, "PROTO")){
   print("<tr>");
   print("<td>");
      print("(プロトコルとは？) <br>");
      print("<br>");
      print("監視属性でポートスキャンを選択した場合に、その方法を選択可能です。<br>");
      print("<br>");
      print("UDP:   UDPポートスキャン<br>");
      print("TCP:   TCPポートスキャン<br>");
      print("ICMP:  ICMP疎通確認<br>");
      print("SMTP:  SMTPステータス確認<br>");
      print("FTP:   FTPステータス確認<br>");
      print("POP:   POPステータス確認<br>");
      print("SSH:   SSHステータス確認<br>");
      print("URL:   URLステータス確認<br>");
      print("SNTP:  NTPにて相手サーバとの時間の差を確認<br>");
      print("HOST:  DNSにて名前解決が出来るかの確認<br>");
      print("<br>");
   print("</td>");
   print("</tr>");
   }

if(0 == strcmp($quedata, "CIP")){
   print("<tr>");
   print("<td>");
      print("(監視先IP、HOSTとは？) <br>");
      print("<br>");
      print("監視先のIPアドレス、又はURL、又はホスト名になります。<br>");
      print("DNSを引きますので、IPアドレスである必要はありません。<br>");
      print("<br>");
      print("UDP,TCP,ICMP,SMTP,FTP,SSH,POP,SNTP は相手先のIP、ホスト名を指定してください<br>");
      print("URLの場合は以下を例にファイル名まで指定してください<br>");
      print("....zither.ms-n.com/index.html.....<br>");
      print("HOSTの場合はその名前がDNSで引くことが出来るかどうかの確認を行います<br>");
      print("引けない場合や、戻りが0の場合はエラーになりますが、IPアドレスを指定してもエラーになります。<br>");
      print("<br>");
   print("</td>");
   print("</tr>");
   }

if(0 == strcmp($quedata, "PRINO")){
   print("<tr>");
   print("<td>");
      print("(プライオリティーとは？) <br>");
      print("<br>");
      print("この監視の重要性を指定出来ます。<br>");
      print("重要度によってエラーに対してのzitherやアポロンの対応が変わってきます<br>");
      print("送信されるメールにも重要度の指定が行われます。<br>");
      print("<br>");
      print("1は最も高いエラーです、アポロンでは赤で表現されます。<br>");
      print("2は通常のエラーです、1との違いは表示色がマゲンダになる点だけです<br>");
      print("3以上の数字はエラーでもメールの送信が行われません。<br>");
      print("4はテストモードになります、テストモードは緑で表記されますが、エラーが出なくても表示されます。ので、デバッグに利用してください。<br>");
      print("<br>");
   print("</td>");
   print("</tr>");
   }

if(0 == strcmp($quedata, "PORT")){
   print("<tr>");
   print("<td>");
      print("(ポートとは？) <br>");
      print("ポート番号を数字で記入してください<br>");
      print("<br>");
   print("</td>");
   print("</tr>");
   }

if(0 == strcmp($quedata, "PINFO")){
   print("<tr>");
   print("<td>");
      print("(監視先の情報とは？) <br>");
      print("監視先の情報を出来るだけ詳細に記入することをお薦めします。<br>");
      print("書式を統一することで、検索しやすくなります<br>");
      print("<br>");
   print("</td>");
   print("</tr>");
   }

if(0 == strcmp($quedata, "FREE1")){
   print("<tr>");
   print("<td>");
      print("(監視の情報とは？) <br>");
      print("この監視項目の意味や目的などを記載しておくことで、その内容はメールに反映されます<br>");
      print("<br>");
   print("</td>");
   print("</tr>");
   }

if(0 == strcmp($quedata, "COM_SNMP")){
   print("<tr>");
   print("<td>");
      print("(OIDとは？) <br>");
      print("SNMPのOIDを指定してください。またCAl[*[+[*[ などとすることで、OID同士の計算も可能です<br>");
      print("<br>");
      print("例＞cal[IF-MIB::ifMtu.10[-[IF-MIB::ifIndex.9[<br>");
      print("例＞cal[.1.3.6.1.4.1.2021.11.9.0[+[.1.3.6.1.4.1.2021.11.10.0[<br>");
      print("<br>");
      print("結果に対する閾値は以下のものが選択可能です<br>");
      print("<br>");
      print("例＞!taro<br>");
      print("例＞=taro<br>");
      print("例＞+10<br>");
      print("例＞-10<br>");
      print("!は等しくない、=は等しい、+は大きい、-は小さい場合に真となります<br>");
      print("<br>");
      print("<br>");
   print("</td>");
   print("</tr>");
   }

if(0 == strcmp($quedata, "PORT_SNMP")){
   print("<tr>");
   print("<td>");
      print("(SNMPセクション名とは？) <br>");
      print("対象SNMPに接続する場合に必要なセクション名になります。<br>");
      print("SNMPエージェント側で監視サーバIPを許可していることも確認してください。<br>");
      print("<br>");
   print("</td>");
   print("</tr>");
   }

echo "</table>";

?>

</BODY>
</HTML>


